log4j.rootLogger=warn,A_Debug,A_Err

#\u4e0e\u5355\u7247\u673a\u901a\u4fe1\u65e5\u5fd7
#log4j.category.jk=info
#log4j.category.jk.sp=info
#log4j.category.jk.utils.RedisUtil=info
#log4j.category.redis=info
#log4j.category.jk.redis=info
#log4j.category.hqmy=debug
log4j.category.utils.CommPortUtil=info
#log4j.category.jk.slave.Jxkz=info



log4j.appender.A_STD=org.apache.log4j.ConsoleAppender
log4j.appender.A_STD.Threshold=DEBUG
log4j.appender.A_STD.target=System.out
log4j.appender.A_STD.layout=org.apache.log4j.PatternLayout
log4j.appender.A_STD.layout.ConversionPattern=%d{mm:ss} [%C{1}:%M] - %m%n
#log4j.appender.A_STD.layout.ConversionPattern=%d [%c:%L] %-5p - %m%n
#log4j.appender.A_STD.layout.ConversionPattern=%d{HH:mm:ss} %t[%C{1}:%M:%L] %-5p - %m%n
#log4j.appender.A_STD.layout.ConversionPattern=[start]%d{DATE}[DATE]%n%p[PRIORITY]%n%x[NDC]%n%t[THREAD] n%c[CATEGORY]%n%m[MESSAGE]%n%n

log4j.appender.A_Debug=org.apache.log4j.RollingFileAppender
log4j.appender.A_Debug.MaxFileSize=1MB
log4j.appender.A_Debug.MaxBackupIndex=5
log4j.appender.A_Debug.Threshold=DEBUG
log4j.appender.A_Debug.File=${logs.dir}/run.log
log4j.appender.A_Debug.Append=true
log4j.appender.A_Debug.layout=org.apache.log4j.PatternLayout
log4j.appender.A_Debug.layout.ConversionPattern=%d{MM-dd HH:mm:ss} %m%n

log4j.appender.A_Err=org.apache.log4j.RollingFileAppender
log4j.appender.A_Err.MaxFileSize=1MB
log4j.appender.A_Err.MaxBackupIndex=5
log4j.appender.A_Err.Threshold=error
log4j.appender.A_Err.File=${logs.dir}/err.log
log4j.appender.A_Err.Append=true
log4j.appender.A_Err.layout=org.apache.log4j.PatternLayout
log4j.appender.A_Err.layout.ConversionPattern=%d{MM-dd HH:mm:ss} %t[%C{1}:%M:%L] %-5p - %m%n

